# Busted
[![npm status](https://img.shields.io/npm/v/busted.svg)](https://www.npmjs.org/package/busted)
[![GitHub release](https://img.shields.io/github/release/nathanchapman/busted.svg)](https://github.com/nathanchapman/busted/releases)
[![npm downloads](https://img.shields.io/npm/dt/busted.svg)](https://www.npmjs.org/package/busted)
[![Code Climate Grade](https://codeclimate.com/github/nathanchapman/busted/badges/gpa.svg)](https://codeclimate.com/github/nathanchapman/busted)
[![bitHound Score](https://www.bithound.io/github/nathanchapman/busted/badges/code.svg)](https://www.bithound.io/github/nathanchapman/busted)
[![bitHound Dependencies](https://www.bithound.io/github/nathanchapman/busted/badges/dependencies.svg)](https://www.bithound.io/github/nathanchapman/busted/master/dependencies/npm)
[![GitHub license](https://img.shields.io/github/license/nathanchapman/busted.svg)](https://github.com/nathanchapman/busted/blob/master/LICENSE)

An npm package that detects improper iframe busting code. Also included are an electron application and a Chrome extension.
This package is currently under **_heavy_** development and is **not reliable**.

##Installation
```
$ npm install busted
```

##Usage
In a Node.js application (only headers test is functional)
```javascript
var busted = require('busted');
var URL = "http://www.example.com";
busted.headersTest(URL, function(passed) {
  console.log(passed);
});
```

In an Electron application (has DOM access so iframes can be tested)
```javascript
window.BUSTED = require('busted.js');

var URL = "http://www.example.com";
var iframe = document.getElementById('frame');
iframe.src = URL;

window.BUSTED.headersTest(URL, function(passed) { 
  console.log(URL + ": " + (passed ? "passed" : "failed") + " the headers test.");
});

iframe.onload = function() {
  var passed = window.BUSTED.iframeTest(URL, iframe);
  console.log(URL + ": " + (passed ? "passed" : "failed") + " the iframe test.");
}
```
